#!/bin/ksh
# ******************************************************************************************************************************
# * Licensed Materials - Property of IBM                                                                                       *
# * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
# *                                                                                                                            *
# *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
# ******************************************************************************************************************************

#PROMPTS
CRRRDPRMPT001="Enter DB2 Instance to use on `hostname`:"
CRRRDPRMPT002="Enter name of the database to create:"
CRRRDPRMPT003="Enter username to use to connect to the database:"
CRRRDPRMPT004="Enter password for user $DBUSER:"
CRRRDPRMPT005="Enter schema under which the operational data store will be built:"
CRRRDPRMPT006="Enter schema under which the star schema will be built:"
CRRRDPRMPT007="Enter user name that will connect and run the reports:"
CRRRDPRMPT008="Specify a base directory for the table space files:"
CRRRDPRMPT009="Enter earliest year to populate the date dimension with:"
CRRRDPRMPT010="Enter latest year to populate the date dimension with:"
CRRRDPRMPT011="Enter the calendar type [1] for Gregorian [2] for ISO for the date dimension:"
CRRRDPRMPT012="Enter a value of 1 for 10G  or 2 for 11G to designate the version of Oracle you are running:"
CRRRDPRMPT013="Enter value for ORACLE_HOME:"
CRRRDPRMPT014="Enter value for ORACLE_BASE:"
CRRRDPRMPT015="Enter name [SID] of database to create, maximum length of name is 8 characters:"
CRRRDPRMPT016="Enter password for SYS account:"
CRRRDPRMPT017="Enter password for SYSTEM account:"
CRRRDPRMPT018="Enter password for SYSMAN account:"
CRRRDPRMPT019="Enter password for DBSNMP account:"
CRRRDPRMPT020="Enter user name to create the DBA account:"
CRRRDPRMPT021="Enter user password to for the DBA account:"
CRRRDPRMPT022="Enter user password to use for the account that will connect and run the reports:"
CRRRDPRMPT023="Enter SQL Server Instance to use on `hostname`.  If no value is specified the default instance will be used: "
CRRRDPRMPT024="Specify the instance's base home directory e.g. c:/Microsoft SQL Server/MSSQL.1:"
CRRRDPRMPT025="Enter user name to create to connect to the content store:"
CRRRDPRMPT026="Enter password to for the content store user:"
CRRRDPRMPT027="Enter java home directory for example C:\Program Files\IBM\Installation Manager\eclipse\jre_5.0.3.sr8a_20080811b\jre :"
CRRRDPRMPT028="Enter name of the Insight database:"
CRRRDPRMPT029="Enter schema under which the operational data store is built:"
CRRRDPRMPT030="Enter schema under which the star schema is built:"
CRRRDPRMPT031="Enter user name that is used to run reports:"
CRRRDPRMPT032="Do you want to accept the new view definitions [1=Yes 0=No]?:"
CRRRDPRMPT033="Enter the password of USERNAME for SQL Server authentication mode:"

#ECHOS
CRRRDECH001="DB2 Database Installation"
CRRRDECH002="Exiting!!!"
CRRRDECH003="Please review `pwd`/logs/createdb.log for error messages"
CRRRDECH004="Please review `pwd`/logs/bufferpool.log for error messages"
CRRRDECH005="Please review `pwd`/logs/tbspace.log for error messages"
CRRRDECH006="Please review `pwd`/logs/createSTGCFG.log for error messages"
CRRRDECH007="Please review `pwd`/logs/createNF.log for error messages"
CRRRDECH008="Please review `pwd`/logs/createSTAR.log for error messages"
CRRRDECH009="Please review `pwd`/logs/createSTARViews.log for error messages"
CRRRDECH010="Please review `pwd`/logs/initCONFIG.log for error messages"
CRRRDECH011="Please review `pwd`/logs/initNF.log for error messages"
CRRRDECH012="Please review `pwd`/logs/initSTAR.log for error messages"
CRRRDECH013="Please review `pwd`/logs/star_grants.log for error messages"
CRRRDECH014="Please review `pwd`/logs/populate-D_DATE.log and `pwd`/logs/dtPopulate.log for error messages"
CRRRDECH015="Please review `pwd`/logs/sampledw_obj.log for error messages"
CRRRDECH016="Please review `pwd`/IMPORT.out"
CRRRDECH017="Oracle Database Installation"
CRRRDECH018="$ORACLE_HOME and $ORACLE_BASE should be specified before proceeding"
CRRRDECH020="Please Refer to `pwd`/logs/createDBService.log "
CRRRDECH021="Specify a different ORACLE_SID or drop the existing one and clean up the related directories before proceeding."
CRRRDECH022="Please review `pwd`/logs/cmstore.log for error messages"
CRRRDECH023="Please review `pwd`/logs/cmstore_trig.log for error messages"
CRRRDECH024="SQL Server Database Installation"
CRRRDECH025="Please review `pwd`/logs/createSchema.log for error messages"
CRRRDECH026="Please review `pwd`/logs/createUsers.log for error messages"
CRRRDECH027="Please review `pwd`/logs/createFileGroup.log for error messages"
CRRRDECH028="Please review `pwd`/logs/createFile.log for error messages"
CRRRDECH029="Please review `pwd`/logs/cmstore.log for error messages"
CRRRDECH030="Please review `pwd`/logs/cmstore_proc.log for error messages"
CRRRDECH031="Java home should be specified before proceeding"
CRRRDECH032="Found set_env.bat file and executed it"
CRRRDECH033="This process will migrate the Insight database.  Before you proceed make sure you have backed up your database.  Make sure the backup you have is valid and will allow for a full restore of the database if needed."
CRRRDECH034="Please review `pwd`/logs/createRIBA.log"
CRRRDECH035="Please review `pwd`/logs/createCALM.log"
CRRRDECH036="Please review `pwd`/logs/initCALM.log for error messages"
CRRRDECH037="Please review `pwd`/logs/createRIASSET.log"
CRRRDECH038="Please review `pwd`/logs/initRIASSET.log for error messages"
CRRRDECH039="Please review `pwd`/logs/createRISCHK.log"
CRRRDECH040="Please review `pwd`/logs/initRISCHK.log for error messages"


#ERROR MESSAGES
CRRRDMSGE001="CRRRD4501E: Error invalid instance specified"
CRRRDMSGE002="CRRRD4502E: Error invalid database name specified"
CRRRDMSGE003="CRRRD4503E: Error invalid database user name specified"
CRRRDMSGE004="CRRRD4504E: Error invalid database user password specified"
CRRRDMSGE005="CRRRD4505E: Error NF_SCHEMA schema can not be null"
CRRRDMSGE006="CRRRD4506E: Error STAR_SCHEMA schema can not be null"
CRRRDMSGE007="CRRRD4507E: Error REP_USER user name can not be null"
CRRRDMSGE008="CRRRD4508E: Error invalid table space directory"
CRRRDMSGE009="CRRRD4509E: Error START_YEAR can not be null"
CRRRDMSGE010="CRRRD4510E: Error END_YEAR can not be null"
CRRRDMSGE011="CRRRD4511E: Error CAL_TYPE can not be null"
CRRRDMSGE012="CRRRD4512E: Error CAL_TYPE can only be 1 or 2"
CRRRDMSGE013="CRRRD4513E: Error creating database "
CRRRDMSGE014="CRRRD4514E: Error creating buffer pools"
CRRRDMSGE015="CRRRD4515E: Error creating table spaces"
CRRRDMSGE016="CRRRD4516E: Error creating table CONFIG tables  "
CRRRDMSGE017="CRRRD4517E: Error creating table ODS tables"
CRRRDMSGE018="CRRRD4518E: Error creating table STAR tables"
CRRRDMSGE019="CRRRD4519E: Error creating table STAR views"
CRRRDMSGE020="CRRRD4520E: Error initializing CONFIG tables "
CRRRDMSGE021="CRRRD4521E: Error initializing ODS tables"
CRRRDMSGE022="CRRRD4522E: Error initializing STAR tables"
CRRRDMSGE023="CRRRD4523E: Error granting privileges"
CRRRDMSGE024="CRRRD4524E: Error failed to copy files"
CRRRDMSGE025="CRRRD4525E: Error populating date dimension table"
CRRRDMSGE026="CRRRD4526E: Error creating objects"
CRRRDMSGE027="CRRRD4527E: Error importing into DB2"
CRRRDMSGE028="CRRRD4528E: Error ORA_VERSION name can not be null"
CRRRDMSGE029="CRRRD4529E: Error ORA_VERSION is invalid"
CRRRDMSGE030="CRRRD4530E: Error invalid ORACLE_HOME specified"
CRRRDMSGE031="CRRRD4531E: Error invalid ORACLE_HOME specified"
CRRRDMSGE032="CRRRD4532E: Error invalid ORACLE_BASE specified"
CRRRDMSGE034="CRRRD4534E: Error invalid SID specified"
CRRRDMSGE035="CRRRD4535E: Error SYS account password can not be null"
CRRRDMSGE036="CRRRD4536E: Error SYSTEMPWD account password can not be null"
CRRRDMSGE037="CRRRD4537E: Error SYSMANPWD account password can not be null"
CRRRDMSGE038="CRRRD4538E: Error DBSNMPPWD account password can not be null"
CRRRDMSGE039="CRRRD4539E: Error DBA_USER account name can not be null"
CRRRDMSGE040="CRRRD4540E: Error DBA_PASSWORD account password can not be null"
CRRRDMSGE041="CRRRD4541E: Error NF_SCHEMA schema can not be null"
CRRRDMSGE042="CRRRD4542E: Error STAR_SCHEMA schema can not be null"
CRRRDMSGE043="CRRRD4543E: Error REP_USER user name can not be null"
CRRRDMSGE044="CRRRD4544E: Error REP_PASSWD can not be null"
CRRRDMSGE046="CRRRD4546E: Error HOST_NAME name can not be null"
CRRRDMSGE053="CRRRD4553E: Error ORACLE_SID  seems to already exist."
CRRRDMSGE058="CRRRD4558E: Error creating directory $DATA_HOME/oradata/$ORACLE_SID"
CRRRDMSGE059="CRRRD4559E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/adump"
CRRRDMSGE060="CRRRD4560E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/bdump"
CRRRDMSGE061="CRRRD4561E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/cdump"
CRRRDMSGE062="CRRRD4562E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/dpdump"
CRRRDMSGE063="CRRRD4563E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/pfile"
CRRRDMSGE064="CRRRD4564E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/udump"
CRRRDMSGE065="CRRRD4565E: Error creating directory $ORACLE_HOME/cfgtoollogs/dbca/$ORACLE_SID"
CRRRDMSGE066="CRRRD4566E: Error creating directory $ORACLE_HOME/dbs"
CRRRDMSGE067="CRRRD4567E: Error creating directory $ORACLE_BASE/flash_recovery_area"
CRRRDMSGE068="CRRRD4568E: Error creating directory $ORACLE_BASE/oradata/$ORACLE_SID"
CRRRDMSGE069="CRRRD4569E: Error creating datatabase $ORACLE_SID"
CRRRDMSGE070="CRRRD4570E: Error creating 10g ORA files"
CRRRDMSGE071="CRRRD4571E: Error creating 11g ORA files"
CRRRDMSGE072="CRRRD4572E: Error importing into ORACLE"
CRRRDMSGE073="CRRRD4573E: Error enabling constraints"
CRRRDMSGE074="CRRRD4574E: Error enabling triggers"
CRRRDMSGE075="CRRRD4575E: Error modifying control files"
CRRRDMSGE076="CRRRD4576E: Error creating directory "
CRRRDMSGE077="CRRRD4577E: Error creating tables"
CRRRDMSGE078="CRRRD4578E: Error creating triggers"
CRRRDMSGE079="CRRRD4579E: Error invalid data file directory"
CRRRDMSGE080="CRRRD4580E: Error CS_SCHEMA can not be null"
CRRRDMSGE081="CRRRD4581E: Error CS_PASSWORD can not be null"
CRRRDMSGE082="CRRRD4582E: Error creating procedures"
CRRRDMSGE083="CRRRD4583E: Error importing into SQL Server"
CRRRDMSGE084="CRRRD4584E: Error connecting"
CRRRDMSGE085="CRRRD4585E: Error determining locale"
CRRRDMSGE086="CRRRD4586E: Error invalid calendar type. Specify 1 (Gregorian), 2 (ISO)"
CRRRDMSGE087="CRRRD4587E: Error START_YEAR is null OR greater than END_YEAR"
CRRRDMSGE088="CRRRD4588E: Error END_YEAR is null OR less than START_YEAR"
CRRRDMSGE089="CRRRD4589E: Error Warehouse schema not specified.  Specify a valid schema"
CRRRDMSGE090="CRRRD4590E: Error Date Dimension is corrupted, smallest date does not equal January 1rst"
CRRRDMSGE091="CRRRD4591E: Error Date Dimension is corrupted, largest date does not equal December 31rst"
CRRRDMSGE092="CRRRD4592E: Error Date Dimension unsupported calendar"
CRRRDMSGE093="CRRRD4593E: Error Date Dimension argument END_YEAR is less than MIN(YEAR) IN D_DATE"
CRRRDMSGE094="CRRRD4594E: Error Date Dimension argument START_YEAR is greater than MAX(YEAR) IN D_DATE"
CRRRDMSGE095="CRRRD4595E: Error REP_USER needs to be different from DBUSER"
CRRRDMSGE096="CRRRD4596E: Error Java home directory is invalid"
CRRRDMSGE097="CRRRD4597E: Error set_env.bat file not exist or failed to call"
CRRRDMSGE098="CRRRD4598E: Error cannot determine Insight version"
CRRRDMSGE099="CRRRD4599E: Error cannot determine target Insight version"
CRRRDMSGE100="CRRRD4600E: Error current version is greater than target version"
CRRRDMSGE101="CRRRD4601E: Error executing the statement"
CRRRDMSGE102="CRRRD4602E: Error there are dependent statements that have failled"
CRRRDMSGE103="CRRRD4603E: Error there are migration errors please review logs and the CONFIG.STATEMENT_LIST table"
CRRRDMSGE104="CRRRD4604E: Error there are errors creating the migration procedures please review logs"
CRRRDMSGE105="CRRRD4605E: Error RIBA schema can not be null"
CRRRDMSGE106="CRRRD4606E: Error creating Business Analytics tables"
CRRRDMSGE107="CRRRD4607E: Error CALM schema can not be null"
CRRRDMSGE108="CRRRD4608E: Error creating CALM tables"
CRRRDMSGE109="CRRRD4609E: Error initializing CALM tables"
CRRRDMSGE110="CRRRD4610E: Error RIASSET schema can not be null"
CRRRDMSGE111="CRRRD4611E: Error creating RIASSET tables"
CRRRDMSGE112="CRRRD4612E: Error initializing RIASSET tables"
CRRRDMSGE113="CRRRD4611E: Error creating RISCHK tables"
CRRRDMSGE114="CRRRD4612E: Error initializing RISCHK tables"
CRRRDMSGE115="CRRRD4615E: Error RISCHK schema can not be null"
CRRRDMSGE116="CRRRD4616E: Error database driver is not in the CLASSPATH"
CRRRDMSGE117="CRRRD4617E: Error administration username can not be null for SQL Server authentication mode"
CRRRDMSGE118="CRRRD4618E: Error the password of USERNAME can not be null for SQL Server authentication mode"


#ERROR CODES
CRRRD4501E="4501"
CRRRD4502E="4502"
CRRRD4503E="4503"
CRRRD4504E="4504"
CRRRD4505E="4505"
CRRRD4506E="4506"
CRRRD4507E="4507"
CRRRD4508E="4508"
CRRRD4509E="4509"
CRRRD4510E="4510"
CRRRD4511E="4511"
CRRRD4512E="4512"
CRRRD4513E="4513"
CRRRD4514E="4514"
CRRRD4515E="4515"
CRRRD4516E="4516"
CRRRD4517E="4517"
CRRRD4518E="4518"
CRRRD4519E="4519"
CRRRD4520E="4520"
CRRRD4521E="4521"
CRRRD4522E="4522"
CRRRD4523E="4523"
CRRRD4524E="4524"
CRRRD4525E="4525"
CRRRD4526E="4526"
CRRRD4527E="4527"
CRRRD4528E="4528"
CRRRD4529E="4529"
CRRRD4530E="4530"
CRRRD4531E="4531"
CRRRD4532E="4532"
CRRRD4534E="4534"
CRRRD4535E="4535"
CRRRD4536E="4536"
CRRRD4537E="4537"
CRRRD4538E="4538"
CRRRD4539E="4539"
CRRRD4540E="4540"
CRRRD4541E="4541"
CRRRD4542E="4542"
CRRRD4543E="4543"
CRRRD4544E="4544"
CRRRD4546E="4546"
CRRRD4553E="4553"
CRRRD4558E="4558"
CRRRD4559E="4559"
CRRRD4560E="4560"
CRRRD4561E="4561"
CRRRD4562E="4562"
CRRRD4563E="4563"
CRRRD4564E="4564"
CRRRD4565E="4565"
CRRRD4566E="4566"
CRRRD4567E="4567"
CRRRD4568E="4568"
CRRRD4569E="4569"
CRRRD4570E="4570"
CRRRD4571E="4571"
CRRRD4572E="4572"
CRRRD4573E="4573"
CRRRD4574E="4574"
CRRRD4575E="4575"
CRRRD4576E="4576"
CRRRD4577E="4577"
CRRRD4578E="4578"
CRRRD4579E="4579"
CRRRD4580E="4580"
CRRRD4581E="4581"
CRRRD4582E="4582"
CRRRD4583E="4583"
CRRRD4584E="4584"
CRRRD4585E="4585"
CRRRD4586E="4586"
CRRRD4587E="4587"
CRRRD4588E="4588"
CRRRD4589E="4589"
CRRRD4590E="4590"
CRRRD4591E="4591"
CRRRD4592E="4592"
CRRRD4593E="4593"
CRRRD4594E="4594"
CRRRD4595E="4595"
CRRRD4596E="4596"
CRRRD4597E="4597"
CRRRD4598E="4598"
CRRRD4599E="4599"
CRRRD4600E="4600"
CRRRD4601E="4601"
CRRRD4602E="4602"
CRRRD4603E="4603"
CRRRD4604E="4604"
CRRRD4605E="4605"
CRRRD4606E="4606"
CRRRD4607E="4607"
CRRRD4608E="4608"
CRRRD4609E="4609"
CRRRD4610E="4610"
CRRRD4611E="4611"
CRRRD4612E="4612"
CRRRD4613E="4613"
CRRRD4614E="4614"
CRRRD4615E="4615"
CRRRD4616E="4616"
CRRRD4617E="4617"
CRRRD4618E="4618"

export CRRRDPRMPT001 CRRRDPRMPT002 CRRRDPRMPT003 CRRRDPRMPT004 CRRRDPRMPT005 CRRRDPRMPT006 CRRRDPRMPT007 CRRRDPRMPT008 CRRRDPRMPT009 CRRRDPRMPT010 CRRRDPRMPT011 CRRRDPRMPT012 CRRRDPRMPT013 CRRRDPRMPT014 CRRRDPRMPT015 CRRRDPRMPT016 CRRRDPRMPT017 CRRRDPRMPT018 CRRRDPRMPT019 CRRRDPRMPT020 CRRRDPRMPT021 CRRRDPRMPT022 CRRRDPRMPT023 CRRRDPRMPT024 CRRRDPRMPT025 CRRRDPRMPT026 CRRRDPRMPT027 CRRRDPRMPT033 CRRRDECH001 CRRRDECH002 CRRRDECH003 CRRRDECH004 CRRRDECH005 CRRRDECH006 CRRRDECH007 CRRRDECH008 CRRRDECH009 CRRRDECH010 CRRRDECH011 CRRRDECH012 CRRRDECH013 CRRRDECH014 CRRRDECH015 CRRRDECH016 CRRRDECH017 CRRRDECH018 CRRRDECH020 CRRRDECH021 CRRRDECH022 CRRRDECH023 CRRRDECH024 CRRRDECH025 CRRRDECH026 CRRRDECH027 CRRRDECH028 CRRRDECH029 CRRRDECH030 CRRRDECH031 CRRRDECH032 CRRRDECH033 CRRRDECH034 CRRRDECH035 CRRRDECH036 CRRRDMSGE001 CRRRDMSGE002 CRRRDMSGE003 CRRRDMSGE004 CRRRDMSGE005 CRRRDMSGE006 CRRRDMSGE007 CRRRDMSGE008 CRRRDMSGE009 CRRRDMSGE010 CRRRDMSGE011 CRRRDMSGE012 CRRRDMSGE013 CRRRDMSGE014 CRRRDMSGE015 CRRRDMSGE016 CRRRDMSGE017 CRRRDMSGE018 CRRRDMSGE019 CRRRDMSGE020 CRRRDMSGE021 CRRRDMSGE022 CRRRDMSGE023 CRRRDMSGE024 CRRRDMSGE025 CRRRDMSGE026 CRRRDMSGE027 CRRRDMSGE028 CRRRDMSGE029 CRRRDMSGE030 CRRRDMSGE031 CRRRDMSGE032 CRRRDMSGE034 CRRRDMSGE035 CRRRDMSGE036 CRRRDMSGE037 CRRRDMSGE038 CRRRDMSGE039 CRRRDMSGE040 CRRRDMSGE041 CRRRDMSGE042 CRRRDMSGE043 CRRRDMSGE044 CRRRDMSGE046 CRRRDMSGE053 CRRRDMSGE058 CRRRDMSGE059 CRRRDMSGE060 CRRRDMSGE061 CRRRDMSGE062 CRRRDMSGE063 CRRRDMSGE064 CRRRDMSGE065 CRRRDMSGE066 CRRRDMSGE067 CRRRDMSGE068 CRRRDMSGE069 CRRRDMSGE070 CRRRDMSGE071 CRRRDMSGE072 CRRRDMSGE073 CRRRDMSGE074 CRRRDMSGE075 CRRRDMSGE076 CRRRDMSGE077 CRRRDMSGE078 CRRRDMSGE079 CRRRDMSGE080 CRRRDMSGE081 CRRRDMSGE082 CRRRDMSGE083 CRRRDMSGE084 CRRRDMSGE085 CRRRDMSGE086 CRRRDMSGE087 CRRRDMSGE088 CRRRDMSGE089 CRRRDMSGE090 CRRRDMSGE091 CRRRDMSGE092 CRRRDMSGE093 CRRRDMSGE094 CRRRDMSGE095 CRRRDMSGE096 CRRRDMSGE097 CRRRDMSGE098 CRRRDMSGE099 CRRRDMSGE100 CRRRDMSGE101 CRRRDMSGE102 CRRRDMSGE103 CRRRDMSGE104 CRRRDMSGE105 CRRRDMSGE106 CRRRDMSGE107 CRRRDMSGE108 CRRRD4501E CRRRD4502E CRRRD4503E CRRRD4504E CRRRD4505E CRRRD4506E CRRRD4507E CRRRD4508E CRRRD4509E CRRRD4510E CRRRD4511E CRRRD4512E CRRRD4513E CRRRD4514E CRRRD4515E CRRRD4516E CRRRD4517E CRRRD4518E CRRRD4519E CRRRD4520E CRRRD4521E CRRRD4522E CRRRD4523E CRRRD4524E CRRRD4525E CRRRD4526E CRRRD4527E CRRRD4528E CRRRD4529E CRRRD4530E CRRRD4531E CRRRD4532E CRRRD4534E CRRRD4535E CRRRD4536E CRRRD4537E CRRRD4538E CRRRD4539E CRRRD4540E CRRRD4541E CRRRD4542E CRRRD4543E CRRRD4544E CRRRD4546E CRRRD4553E CRRRD4558E CRRRD4559E CRRRD4560E CRRRD4561E CRRRD4562E CRRRD4563E CRRRD4564E CRRRD4565E CRRRD4566E CRRRD4567E CRRRD4568E CRRRD4569E CRRRD4570E CRRRD4571E CRRRD4572E CRRRD4573E CRRRD4574E CRRRD4575E CRRRD4576E CRRRD4577E CRRRD4578E CRRRD4579E CRRRD4580E CRRRD4581E CRRRD4582E CRRRD4583E CRRRD4584E CRRRD4585E CRRRD4586E CRRRD4587E CRRRD4588E CRRRD4589E CRRRD4590E CRRRD4591E CRRRD4592E CRRRD4593E CRRRD4594E  CRRRD4595E CRRRD4596E CRRRD4597E CRRRDMSGE098 CRRRDMSGE099 CRRRDMSGE100 CRRRDMSGE101 CRRRDMSGE102 CRRRD4598E CRRRD4599E CRRRD4600E CRRRD4601E CRRRD4602E CRRRDECH033 CRRRD4603E CRRRD4604E CRRRDMSGE103 CRRRDMSGE104 CRRRDPRMPT028 CRRRDPRMPT029 CRRRDPRMPT030 CRRRDPRMPT031 CRRRDPRMPT032 CRRRDECH034 CRRRDMSGE105 CRRRDMSGE106 CRRRD4605E CRRRD4606E CRRRD4607E CRRRD4608E CRRRD4609E CRRRDECH037 CRRRDECH038 CRRRDMSGE110 CRRRDMSGE111 CRRRDMSGE112 CRRRD4610E CRRRD4611E CRRRD4612E CRRRDECH039 CRRRDECH040 CRRRDMSGE113 CRRRDMSGE114 CRRRD4613E CRRRD4614E CRRRDMSGE115 CRRRD4615E CRRRD4616E CRRRDMSGE116 CRRRDMSGE117 CRRRDMSGE118 CRRRD4617E CRRRD4618E
